> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Merchants by Client

> Get Merchants by Client



## OpenAPI

````yaml get /merchant
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /merchant:
    get:
      tags:
        - Merchant Onboarding
      summary: Get Merchants by Client
      description: Get Merchants by Client
      operationId: getMerchantsByClient
      responses:
        '200':
          description: Get Merchants by Client
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '1046'
            Date:
              schema:
                type: string
                example: Wed, 21 Aug 2024 15:44:55 GMT
            ETag:
              schema:
                type: string
                example: W/"416-Fz+tgXSSm3x1P62JF6UvwhGAO2g"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        businessname:
                          type: string
                          example: Rogue 6 Ready Mix
                        email:
                          type: string
                          example: jpdemo@fractal.com
                        first_name:
                          type: string
                          example: JP
                        join_date:
                          type: string
                          example: '2024-06-05T13:44:25.000Z'
                        last_name:
                          type: string
                          example: Gound
                        merchant_id:
                          type: string
                          example: m_b9518c1f23
                        phonenumber:
                          type: string
                          example: '1234567895'
                        public_data:
                          type: object
                          properties:
                            public_key:
                              type: string
                              example: b03d94339a5a899509e3b05266a1f601
                        website:
                          type: string
                          example: https://testwebsite.com/
                    example:
                      - businessname: Rogue 6 Ready Mix
                        email: jpdemo@fractal.com
                        first_name: JP
                        join_date: '2024-06-05T13:44:25.000Z'
                        last_name: Gound
                        merchant_id: m_b9518c1f23
                        phonenumber: '1234567895'
                        public_data:
                          public_key: b03d94339a5a899509e3b05266a1f601
                        website: https://testwebsite.com/
                      - businessname: Celtic Ready Mix
                        email: droooobie@fractall.com
                        first_name: Drew
                        join_date: '2024-07-22T19:18:36.000Z'
                        last_name: Rice
                        merchant_id: m_31c5d8c748
                        phonenumber: '1234567895'
                        public_data:
                          public_key: 38dbd500cb2b0d1c9f4eaac18c0ad131
                        website: https://testwebsite.com/
                      - businessname: Slab Ready Mix
                        email: slabreadymix@fractall.com
                        first_name: MJ
                        join_date: '2024-08-20T18:44:35.000Z'
                        last_name: Mann
                        merchant_id: m_3f5fa50c5f
                        phonenumber: '1234567895'
                        public_data:
                          public_key: 17fd596bb19ad222eaf0207582ce62da
                        website: https://testwebsite.com/
                  message:
                    type: string
                    example: Merchants fetched successfully
                  result:
                    type: boolean
                    example: true
              examples:
                Get Merchants by Client:
                  value:
                    data:
                      - businessname: Rogue 6 Ready Mix
                        email: jpdemo@fractal.com
                        first_name: JP
                        join_date: '2024-06-05T13:44:25.000Z'
                        last_name: Gound
                        merchant_id: m_b9518c1f23
                        phonenumber: '1234567895'
                        public_data:
                          public_key: b03d94339a5a899509e3b05266a1f601
                        website: https://testwebsite.com/
                      - businessname: Celtic Ready Mix
                        email: droooobie@fractall.com
                        first_name: Drew
                        join_date: '2024-07-22T19:18:36.000Z'
                        last_name: Rice
                        merchant_id: m_31c5d8c748
                        phonenumber: '1234567895'
                        public_data:
                          public_key: 38dbd500cb2b0d1c9f4eaac18c0ad131
                        website: https://testwebsite.com/
                      - businessname: Slab Ready Mix
                        email: slabreadymix@fractall.com
                        first_name: MJ
                        join_date: '2024-08-20T18:44:35.000Z'
                        last_name: Mann
                        merchant_id: m_3f5fa50c5f
                        phonenumber: '1234567895'
                        public_data:
                          public_key: 17fd596bb19ad222eaf0207582ce62da
                        website: https://testwebsite.com/
                    message: Merchants fetched successfully
                    result: true
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````